# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/WebBrowserVirusTotalPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WebBrowserVirusTotalPage(object):
    def setupUi(self, WebBrowserVirusTotalPage):
        WebBrowserVirusTotalPage.setObjectName("WebBrowserVirusTotalPage")
        WebBrowserVirusTotalPage.resize(455, 303)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(WebBrowserVirusTotalPage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.headerLabel = QtWidgets.QLabel(parent=WebBrowserVirusTotalPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_2.addWidget(self.headerLabel)
        self.line17 = QtWidgets.QFrame(parent=WebBrowserVirusTotalPage)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setObjectName("line17")
        self.verticalLayout_2.addWidget(self.line17)
        self.vtEnabledCheckBox = QtWidgets.QCheckBox(parent=WebBrowserVirusTotalPage)
        self.vtEnabledCheckBox.setObjectName("vtEnabledCheckBox")
        self.verticalLayout_2.addWidget(self.vtEnabledCheckBox)
        self.groupBox = QtWidgets.QGroupBox(parent=WebBrowserVirusTotalPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setWordWrap(True)
        self.label.setOpenExternalLinks(True)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.vtServiceKeyEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.vtServiceKeyEdit.setObjectName("vtServiceKeyEdit")
        self.verticalLayout.addWidget(self.vtServiceKeyEdit)
        self.testResultLabel = QtWidgets.QLabel(parent=self.groupBox)
        self.testResultLabel.setText("")
        self.testResultLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.testResultLabel.setWordWrap(True)
        self.testResultLabel.setObjectName("testResultLabel")
        self.verticalLayout.addWidget(self.testResultLabel)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.testButton = QtWidgets.QPushButton(parent=self.groupBox)
        self.testButton.setEnabled(False)
        self.testButton.setObjectName("testButton")
        self.horizontalLayout.addWidget(self.testButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.vtSecureCheckBox = QtWidgets.QCheckBox(parent=WebBrowserVirusTotalPage)
        self.vtSecureCheckBox.setObjectName("vtSecureCheckBox")
        self.verticalLayout_2.addWidget(self.vtSecureCheckBox)
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)

        self.retranslateUi(WebBrowserVirusTotalPage)
        QtCore.QMetaObject.connectSlotsByName(WebBrowserVirusTotalPage)
        WebBrowserVirusTotalPage.setTabOrder(self.vtEnabledCheckBox, self.vtServiceKeyEdit)
        WebBrowserVirusTotalPage.setTabOrder(self.vtServiceKeyEdit, self.testButton)
        WebBrowserVirusTotalPage.setTabOrder(self.testButton, self.vtSecureCheckBox)

    def retranslateUi(self, WebBrowserVirusTotalPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("WebBrowserVirusTotalPage", "<b>Configure VirusTotal Interface</b>"))
        self.vtEnabledCheckBox.setToolTip(_translate("WebBrowserVirusTotalPage", "Select to enable the VirusTotal interface"))
        self.vtEnabledCheckBox.setText(_translate("WebBrowserVirusTotalPage", "Enable VirusTotal"))
        self.groupBox.setTitle(_translate("WebBrowserVirusTotalPage", "Service Key"))
        self.label.setText(_translate("WebBrowserVirusTotalPage", "Enter your personal VirusTotal service key (s. <a href=\"http://virustotal.com\">VirusTotal &copy;</a> for details):"))
        self.vtServiceKeyEdit.setToolTip(_translate("WebBrowserVirusTotalPage", "Enter the VirusTotal service key"))
        self.testButton.setToolTip(_translate("WebBrowserVirusTotalPage", "Press to test the validity of the service key"))
        self.testButton.setText(_translate("WebBrowserVirusTotalPage", "Test Service Key"))
        self.vtSecureCheckBox.setToolTip(_translate("WebBrowserVirusTotalPage", "Select to use a secure (https) connection"))
        self.vtSecureCheckBox.setText(_translate("WebBrowserVirusTotalPage", "Use secure (https) connections"))
